Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUIntPointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUIntPointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUIntPointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tUIntPointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( UInt, unsigned int )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,5 +32,5 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_UIntPointer( mrb, TECS );
 
@@ -38,4 +38,4 @@
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tULongPointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tULongPointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tULongPointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tULongPointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( ULong, unsigned long )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_ULongPointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUShortPointer.c
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUShortPointer.c	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/mruby/nMruby_tUShortPointer.c	(revision 318)
@@ -1,9 +1,9 @@
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include "nMruby_tUShortPointer_tecsgen.h"
 
@@ -17,5 +17,5 @@
 CHECK_AND_GET_POINTER( UShort, unsigned short )
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eInitialize
  * entry port: eInitialize
@@ -32,9 +32,9 @@
 eInitialize_initializeBridge(mrb_state* mrb, struct RClass * TECS)
 {
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	(void)tecs_init_UShortPointer( mrb, TECS );
 }
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
Index: asp3_gr_sakura/trunk/tecsgen/tecs/rpc/rpc_string.h
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/rpc/rpc_string.h	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/rpc/rpc_string.h	(revision 318)
@@ -6,47 +6,32 @@
  *   Copyright (C) 2008-2013 by TOPPERS Project
  *--
- *   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *       ã¨ï¼
- *     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *         å ±åãããã¨ï¼
- *   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *       å
-è²¬ãããã¨ï¼
+ *   上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *       スコード中に含まれていること．
+ *   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *       の無保証規定を掲載すること．
+ *   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *       と．
+ *     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *         作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *         報告すること．
+ *   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *       免責すること．
  *  
- *   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *   ã®è²¬ä»»ãè² ããªãï¼
+ *   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *   の責任を負わない．
  *  
  *   $Id$
@@ -57,6 +42,6 @@
 #include <string.h>
 
-/* GenParamCopy.rb ã§çæãã STRLEN, STRNLEN é¢æ°ã®å®ç¾© */
-/* ç¾ç¶ã§ã¯ short, int, long, int128_t ããµãã¼ãããªã */
+/* GenParamCopy.rb で生成する STRLEN, STRNLEN 関数の定義 */
+/* 現状では short, int, long, int128_t をサポートしない */
 
 #define   STRLEN8( str )    strlen( (char *)str )
@@ -64,13 +49,10 @@
 /*
  * STRNLEN
- *  marshaler, unmarshaler ã¯ strnlen ãä½¿ãï¼
- *  ãããã¡ãªã¼ãã¼ã©ã³ã¸ã®èæ§ãæç¢ºã«ããããï¼
- *  ããããstrnlen ã¯ ANSI-C æ¨æºã®ã©ã¤ãã©ãªé¢æ°ã§ã¯ãªããããå®è£
-ããã¦ããªãã±ã¼ã¹ããã
- *  GNU (Linux), VC++ ã§ã¯ä½¿ç¨ã§ããããMacOS ã§ã¯ä½¿ç¨ã§ããªã
- *  ï¼ä»ã®çµè¾¼ã¿ç¨ OS ã§ã®å®è£
-ç¶æ³ãä¸æï¼
- *  å°ããªé¢æ°ã§ããã®ã§ inline é¢æ°ã¨ãã¦å®è£
-ãã¦ãã
+ *  marshaler, unmarshaler は strnlen を使う．
+ *  バッファオーバーランへの耐性を明確にするため．
+ *  しかし、strnlen は ANSI-C 標準のライブラリ関数ではないため、実装されていないケースがある
+ *  GNU (Linux), VC++ では使用できるが、MacOS では使用できない
+ *  （他の組込み用 OS での実装状況も不明）
+ *  小さな関数ですむので inline 関数として実装しておく
  */
 
Index: asp3_gr_sakura/trunk/tecsgen/tecs/rpc/tDataqueueAdaptor_inline.h
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/rpc/tDataqueueAdaptor_inline.h	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/rpc/tDataqueueAdaptor_inline.h	(revision 318)
@@ -5,47 +5,32 @@
  *   Copyright (C) 2008-2013 by TOPPERS Project
  *--
- *   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *       ã¨ï¼
- *     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *         å ±åãããã¨ï¼
- *   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *       å
-è²¬ãããã¨ï¼
+ *   上記著作権者は，以下の(1)(4)の条件を満たす場合に限り，本ソフトウェ
+ *   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *       スコード中に含まれていること．
+ *   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *       の無保証規定を掲載すること．
+ *   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *       と．
+ *     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *         作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *         報告すること．
+ *   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *       免責すること．
  *  
- *   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *   ã®è²¬ä»»ãè² ããªãï¼
+ *   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *   の責任を負わない．
  *  
  *   $Id$
@@ -53,10 +38,10 @@
 
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
  * #[</PREAMBLE>]# */
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eChannel
  * entry port: eChannel
@@ -82,5 +67,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 
 	return(ercd);
@@ -104,5 +89,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 
 	return(ercd);
@@ -126,5 +111,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	cEventflag_clear( 0 );
 
@@ -150,5 +135,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	ercd = 0;
 	for( i = 0; i < size; i++ )
@@ -175,5 +160,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 
 	return(ercd);
@@ -199,5 +184,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	/* printf( "DQA: receive(%d) ", size ); */
 	for( i = 0; i < size; i++ ){
@@ -230,7 +215,7 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
-
-	return(ercd);
-}
-
+	/* ここに処理本体を記述します #_TEFB_# */
+
+	return(ercd);
+}
+
Index: asp3_gr_sakura/trunk/tecsgen/tecs/rpc/tNBOTDR_inline.h
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecs/rpc/tNBOTDR_inline.h	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecs/rpc/tNBOTDR_inline.h	(revision 318)
@@ -5,47 +5,32 @@
  *   Copyright (C) 2008-2013 by TOPPERS Project
  *--
- *   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *       ã¨ï¼
- *     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *         å ±åãããã¨ï¼
- *   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *       å
-è²¬ãããã¨ï¼
+ *   上記著作権者は，以下の(1)(4)の条件を満たす場合に限り，本ソフトウェ
+ *   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *       スコード中に含まれていること．
+ *   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *       の無保証規定を掲載すること．
+ *   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *       と．
+ *     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *         作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *         報告すること．
+ *   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *       免責すること．
  *  
- *   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *   ã®è²¬ä»»ãè² ããªãï¼
+ *   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *   の責任を負わない．
  *  
  *   $Id$
@@ -53,11 +38,11 @@
 
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
  *
- * å±æ§ã¢ã¯ã»ã¹ãã¯ã­ #_CAAM_#
+ * 属性アクセスマクロ #_CAAM_#
  * tmo              TMO              VAR_tmo         
  *
- * å¼ã³å£é¢æ° #_TCPF_#
+ * 呼び口関数 #_TCPF_#
  * call port: cChannel signature: sChannel context:task 
  *   ER             cChannel_send( const int8_t* buf, int16_t size, TMO tmo );
@@ -75,7 +60,6 @@
 
 /*
- * marhaler, unmarshaler ãä½¿ç¨ãã STRLEN é¢æ°ãå®ç¾©ãã
- *  marshaler, unmarshaler ã¯å¿
-ã TDR ã¯ ã«çµåããããã
+ * marhaler, unmarshaler が使用する STRLEN 関数を定義する
+ *  marshaler, unmarshaler は必ず TDR は に結合されるため
  */
 #include	"rpc_string.h"
@@ -105,9 +89,8 @@
 
 /*
- * ç¡èª¿æ´åã ããããããæ«å®çãªå®è£
-ã«ãªã£ã¦ãã
- * ã»ntohX(), htonX() ã¯ int64_t åã«å®ç¾©ããã¦ãã (32bitãªããªã¼ããããå¤§)
- * ã»int128_t, uint128_t ã¯ tecs.h ã§ typedef ãããåã§ãã
- * ã»BIGENDIAN å¤å®ã¯åçã«ãªã£ã¦ãã (æããæé©åã§å®æ°å¤å®ã«ããããã¨ã¯ãªã)
+ * 無調整型だが、いくらか暫定的な実装になっている
+ * ・ntohX(), htonX() は int64_t 型に定義されている (32bitならオーバヘッド大)
+ * ・int128_t, uint128_t は tecs.h で typedef された型である
+ * ・BIGENDIAN 判定は動的になっている (恐らく最適化で定数判定にされることはない)
  */
 
@@ -120,5 +103,5 @@
 #define	IS_BIGENDIAN()	(0)
 #else
-/* BIGENDIAN ãã©ããèªåå¤å® */
+/* BIGENDIAN かどうか自動判定 */
 static const uint16_t	endian_check = 0xff00;
 #define	IS_BIGENDIAN()	(*(uint8_t *)&endian_check)
@@ -302,6 +285,5 @@
 		return d;
 	else{
-		/* ãã®å®è£
-ã¯ tecs.h ã§ typedef ãã int128_t ã«é©å */
+		/* この実装は tecs.h で typedef した int128_t に適合 */
 		int128_t d1;
 		d1.hi = hton64( d.lo );
@@ -370,5 +352,5 @@
 }
 
-/*** unsigned ç¨ã®é¢æ° (128 bit çã®ã¿ç¨æ) ***/
+/*** unsigned 用の関数 (128 bit 版のみ用意) ***/
 Inline int128_t
 ntoh128( int128_t d )
@@ -377,6 +359,5 @@
 		return d;
 	else{
-		/* ãã®å®è£
-ã¯ tecs.h ã§ typedef ãã int128_t ã«é©å */
+		/* この実装は tecs.h で typedef した int128_t に適合 */
 		int128_t d1;
 		d1.hi = ntoh64( d.lo );
@@ -392,6 +373,5 @@
 		return d;
 	else{
-		/* ãã®å®è£
-ã¯ tecs.h ã§ typedef ãã int128_t ã«é©å */
+		/* この実装は tecs.h で typedef した int128_t に適合 */
 		uint128_t d1;
 		d1.hi = hton64( d.lo );
@@ -407,6 +387,5 @@
 		return d;
 	else{
-		/* ãã®å®è£
-ã¯ tecs.h ã§ typedef ãã int128_t ã«é©å */
+		/* この実装は tecs.h で typedef した int128_t に適合 */
 		uint128_t d1;
 		d1.hi = ntoh64( d.lo );
@@ -417,5 +396,5 @@
 
 /************************************************
- *  htonX, ntohX ã¯ 16, 32, 64 ã«ã®ã¿å¯¾å¿ã§ãã *
+ *  htonX, ntohX は 16, 32, 64 にのみ対応できる *
  ************************************************/
 Inline int64_t
@@ -441,5 +420,5 @@
 }
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eTDR
  * entry port: eTDR
@@ -465,5 +444,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 
 	syslog( LOG_INFO, "TDR: resetting channel" );
@@ -491,5 +470,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 #ifdef RPC_DEBUG
 	syslog(LOG_INFO, "eTDR_sendSOP(b_client=%d)", b_client);
@@ -501,15 +480,15 @@
 
 	/*
-	 * SOP ãã±ããã®éä¿¡
-	 * ãã±ããã·ã¼ã±ã³ã¹ãå¤å°å´©ãã¦ãåå¾©ã§ããããã«ããã¤ãåä½ã§éã
-	 * ä¸ä½ãã¤ããä¸ä½ãã¤ãã®é ã«éã
+	 * SOP パケットの送信
+	 * パケットシーケンスが多少崩れても回復できるように、バイト単位で送る
+	 * 上位バイト、下位バイトの順に送る
 	 */
 
 	val = (uint8_t)(sopMagic>>8);
-	ercd = eTDR_putUInt8( idx, val );		/* ä¸ä½8ããã */
+	ercd = eTDR_putUInt8( idx, val );		/* 上位8ビット */
 	if( ercd != E_OK )
 		return	ercd;
 
-	val = (uint8_t)(sopMagic&0xff);			/* ä¸ä½8ããã */
+	val = (uint8_t)(sopMagic&0xff);			/* 下位8ビット */
 	ercd = eTDR_putUInt8( idx, val );
 
@@ -537,5 +516,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 #ifdef RPC_DEBUG
 	syslog(LOG_INFO, "eTDR_receiveSOP(b_client=%d)", b_client);
@@ -582,5 +561,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 #ifdef RPC_DEBUG
 	syslog(LOG_INFO, "eTDR_sendEOP(b_continue=%d)", b_continue);
@@ -592,5 +571,5 @@
 		magic = TDR_EOP_MAGIC2;
 
-	/* EOP magic ã®éä¿¡ */
+	/* EOP magic の送信 */
 	if( (ercd = eTDR_putUInt16( idx, magic )) != E_OK )
 		return ercd;
@@ -618,5 +597,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 #ifdef RPC_DEBUG
 	syslog(LOG_INFO, "eTDR_receiveEOP(b_continue=%d)",b_continue);
@@ -651,5 +630,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	return cChannel_send( (int8_t *)&in, (int16_t)sizeof( in ), VAR_tmo );
 }
@@ -671,5 +650,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	in = hton16( in );
 	return cChannel_send( (int8_t *)&in, (int16_t)sizeof( in ), VAR_tmo );
@@ -692,5 +671,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	in = hton32( in );
 	return cChannel_send( (int8_t *)&in, (int16_t)sizeof( in ), VAR_tmo );
@@ -713,5 +692,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	in = hton64( in );
 	return cChannel_send( (int8_t *)&in, (int16_t)sizeof( in ), VAR_tmo );
@@ -734,5 +713,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	in = hton128( in );
 	return cChannel_send( (int8_t *)&in, (int16_t)sizeof( in ), VAR_tmo );
@@ -756,5 +735,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)out, (int16_t)sizeof( *out ), VAR_tmo );
 	return  er_sz < 0 ? er_sz : ( er_sz == sizeof( *out ) ? E_OK : E_BOVR );
@@ -778,5 +757,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)out, (int16_t)sizeof( *out ), VAR_tmo );
 	*out = ntoh16( *out );
@@ -801,5 +780,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)out, (int16_t)sizeof( *out ), VAR_tmo );
 	*out = ntoh32( *out );
@@ -824,5 +803,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)out, (int16_t)sizeof( *out ), VAR_tmo );
 	*out = ntoh64( *out );
@@ -847,5 +826,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)out, (int16_t)sizeof( *out ), VAR_tmo );
 	*out = ntoh128( *out );
@@ -869,5 +848,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	return cChannel_send( (int8_t *)&in, (int16_t)sizeof( in ), VAR_tmo );
 }
@@ -889,5 +868,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	in = hton16( in );
 	return cChannel_send( (int8_t *)&in, (int16_t)sizeof( in ), VAR_tmo );
@@ -910,5 +889,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	in = hton32( in );
 	return cChannel_send( (int8_t *)&in, (int16_t)sizeof( in ), VAR_tmo );
@@ -931,5 +910,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	in = hton64( in );
 	return cChannel_send( (int8_t *)&in, (int16_t)sizeof( in ), VAR_tmo );
@@ -952,5 +931,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	in = hton128u( in );
 	return cChannel_send( (int8_t *)&in, (int16_t)sizeof( in ), VAR_tmo );
@@ -974,5 +953,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)out, (int16_t)sizeof( *out ), VAR_tmo );
 	return  er_sz < 0 ? er_sz : ( er_sz == sizeof( *out ) ? E_OK : E_BOVR );
@@ -996,5 +975,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)out, (int16_t)sizeof( *out ), VAR_tmo );
 	*out = ntoh16( *out );
@@ -1019,5 +998,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)out, (int16_t)sizeof( *out ), VAR_tmo );
 	*out = ntoh32( *out );
@@ -1042,5 +1021,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)out, (int16_t)sizeof( *out ), VAR_tmo );
 	*out = ntoh64( *out );
@@ -1065,5 +1044,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)out, (int16_t)sizeof( *out ), VAR_tmo );
 	*out = ntoh128u( *out );
@@ -1087,5 +1066,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	return cChannel_send( (int8_t *)&in, (int16_t)sizeof( in ), VAR_tmo );
 }
@@ -1108,5 +1087,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)out, (int16_t)sizeof( *out ), VAR_tmo );
 	return  er_sz < 0 ? er_sz : ( er_sz == sizeof( *out ) ? E_OK : E_BOVR );
@@ -1130,5 +1109,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	eTDR_putUInt8(idx, (uint8_t)(in != 0) );
 
@@ -1154,5 +1133,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	ercd = eTDR_getUInt8(idx, &val );
 	if( ercd != E_OK )
@@ -1180,5 +1159,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	val = hton32( *(int32_t*)&in );
 	return cChannel_send( (int8_t *)&val, (int16_t)sizeof( val ), VAR_tmo );
@@ -1202,5 +1181,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
     val = *(int64_t *)&in;
 	val = hton64( val );
@@ -1226,5 +1205,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)&val, (int16_t)sizeof( val ), VAR_tmo );
 	val = ntoh32( val );
@@ -1251,5 +1230,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)&val, (int16_t)sizeof( val ), VAR_tmo );
 	val = ntoh64( val );
@@ -1274,5 +1253,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	return cChannel_send( (int8_t *)&in, (int16_t)sizeof( in ), VAR_tmo );
 }
@@ -1295,5 +1274,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	IN = HTONS( IN, sizeof IN );
 	return cChannel_send( (int8_t *)&IN, (int16_t)sizeof( IN ), VAR_tmo );
@@ -1317,5 +1296,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	IN = HTONI( IN, sizeof IN );
 	return cChannel_send( (int8_t *)&IN, (int16_t)sizeof( IN ), VAR_tmo );
@@ -1339,5 +1318,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	IN = HTONL( IN, sizeof IN );
 	return cChannel_send( (int8_t *)&IN, (int16_t)sizeof( IN ), VAR_tmo );
@@ -1361,5 +1340,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)out, (int16_t)sizeof( *out ), VAR_tmo );
 	return  er_sz < 0 ? er_sz : ( er_sz == sizeof( *out ) ? E_OK : E_BOVR );
@@ -1384,5 +1363,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)&OUT, (int16_t)sizeof( OUT ), VAR_tmo );
 	*out = NTOHS( OUT, sizeof OUT );
@@ -1408,5 +1387,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)&OUT, (int16_t)sizeof( OUT ), VAR_tmo );
 	*out = NTOHI( OUT, sizeof OUT );
@@ -1432,5 +1411,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)&OUT, (int16_t)sizeof( OUT ), VAR_tmo );
 	*out = NTOHL( OUT, sizeof OUT );
@@ -1454,5 +1433,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	return cChannel_send( (int8_t *)&in, (int16_t)sizeof( in ), VAR_tmo );
 }
@@ -1475,5 +1454,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	IN = HTONS( IN, sizeof IN );
 	return cChannel_send( (int8_t *)&IN, (int16_t)sizeof( IN ), VAR_tmo );
@@ -1497,5 +1476,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	IN = HTONI( IN, sizeof IN );
 	return cChannel_send( (int8_t *)&IN, (int16_t)sizeof( IN ), VAR_tmo );
@@ -1519,5 +1498,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	IN = HTONL( IN, sizeof IN );
 	return cChannel_send( (int8_t *)&IN, (int16_t)sizeof( IN ), VAR_tmo );
@@ -1541,5 +1520,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)out, (int16_t)sizeof( *out ), VAR_tmo );
 	return  er_sz < 0 ? er_sz : ( er_sz == sizeof( *out ) ? E_OK : E_BOVR );
@@ -1564,5 +1543,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)&OUT, (int16_t)sizeof( OUT ), VAR_tmo );
 	*out = NTOHS( OUT, sizeof OUT );
@@ -1588,5 +1567,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)&OUT, (int16_t)sizeof( OUT ), VAR_tmo );
 	*out = NTOHI( OUT, sizeof OUT );
@@ -1612,5 +1591,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)&OUT, (int16_t)sizeof( OUT ), VAR_tmo );
 	*out = NTOHL( OUT, sizeof OUT );
@@ -1635,5 +1614,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	IN = HTONIP( IN, sizeof IN );
 	return cChannel_send( (int8_t *)&IN, (int16_t)sizeof( IN ), VAR_tmo );
@@ -1658,5 +1637,5 @@
 	}
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	er_sz = cChannel_receive( (int8_t *)&OUT, (int16_t)sizeof( OUT ), VAR_tmo );
 	*ptr = NTOHIP( OUT, sizeof OUT );
@@ -1665,4 +1644,4 @@
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
